Tool: list_cloud_vm_clusters
List Cloud Vm Clusters in a Google Cloud project in the given location.
The following sample demonstrate how to use curl to invoke the list_cloud_vm_clusters MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_cloud_vm_clusters", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for CloudVmCluster.List.
ListCloudVmClustersRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string } |
| Fields | |
|---|---|
parent |
Required. The name of the parent in the following format: projects/{project}/locations/{location}. |
pageSize |
Optional. The number of VM clusters to return. If unspecified, at most 50 VM clusters will be returned. The maximum value is 1,000. |
pageToken |
Optional. A token identifying the page of results the server returns. |
filter |
Optional. An expression for filtering the results of the request. |
Output Schema
The response for CloudVmCluster.List.
ListCloudVmClustersResponse
| JSON representation |
|---|
{
"cloudVmClusters": [
{
object ( |
| Fields | |
|---|---|
cloudVmClusters[] |
The list of VM Clusters. |
nextPageToken |
A token to fetch the next page of results. |
CloudVmCluster
| JSON representation |
|---|
{ "name": string, "exadataInfrastructure": string, "displayName": string, "properties": { object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the VM Cluster resource with the format: projects/{project}/locations/{region}/cloudVmClusters/{cloud_vm_cluster} |
exadataInfrastructure |
Required. The name of the Exadata Infrastructure resource on which VM cluster resource is created, in the following format: projects/{project}/locations/{region}/cloudExadataInfrastuctures/{cloud_extradata_infrastructure} |
displayName |
Optional. User friendly name for this resource. |
properties |
Optional. Various properties of the VM Cluster. |
labels |
Optional. Labels or tags associated with the VM Cluster. An object containing a list of |
createTime |
Output only. The date and time that the VM cluster was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
cidr |
Optional. Network settings. CIDR to use for cluster IP allocation. |
backupSubnetCidr |
Optional. CIDR range of the backup subnet. |
network |
Optional. The name of the VPC network. Format: projects/{project}/global/networks/{network} |
gcpOracleZone |
Output only. The GCP Oracle zone where Oracle CloudVmCluster is hosted. This will be the same as the gcp_oracle_zone of the CloudExadataInfrastructure. Example: us-east4-b-r2. |
odbNetwork |
Optional. The name of the OdbNetwork associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network} It is optional but if specified, this should match the parent ODBNetwork of the odb_subnet and backup_odb_subnet. |
odbSubnet |
Optional. The name of the OdbSubnet associated with the VM Cluster for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet} |
backupOdbSubnet |
Optional. The name of the backup OdbSubnet associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet} |
identityConnector |
Output only. The identity connector details which will allow OCI to securely access the resources in the customer project. |
CloudVmClusterProperties
| JSON representation |
|---|
{ "ocid": string, "licenseType": enum ( |
| Fields | |
|---|---|
ocid |
Output only. Oracle Cloud Infrastructure ID of VM Cluster. |
licenseType |
Required. License type of VM Cluster. |
giVersion |
Optional. Grid Infrastructure Version. |
timeZone |
Optional. Time zone of VM Cluster to set. Defaults to UTC if not specified. |
sshPublicKeys[] |
Optional. SSH public keys to be stored with cluster. |
nodeCount |
Optional. Number of database servers. |
shape |
Output only. Shape of VM Cluster. |
ocpuCount |
Optional. OCPU count per VM. Minimum is 0.1. |
memorySizeGb |
Optional. Memory allocated in GBs. |
dbNodeStorageSizeGb |
Optional. Local storage per VM. |
storageSizeGb |
Output only. The storage allocation for the disk group, in gigabytes (GB). |
dataStorageSizeTb |
Optional. The data disk group size to be allocated in TBs. |
diskRedundancy |
Optional. The type of redundancy. |
sparseDiskgroupEnabled |
Optional. Use exadata sparse snapshots. |
localBackupEnabled |
Optional. Use local backup. |
hostnamePrefix |
Optional. Prefix for VM cluster host names. |
diagnosticsDataCollectionOptions |
Optional. Data collection options for diagnostics. |
state |
Output only. State of the cluster. |
scanListenerPortTcp |
Output only. SCAN listener port - TCP |
scanListenerPortTcpSsl |
Output only. SCAN listener port - TLS |
domain |
Output only. Parent DNS domain where SCAN DNS and hosts names are qualified. ex: ocispdelegated.ocisp10jvnet.oraclevcn.com |
scanDns |
Output only. SCAN DNS name. ex: sp2-yi0xq-scan.ocispdelegated.ocisp10jvnet.oraclevcn.com |
hostname |
Output only. host name without domain. format: " |
cpuCoreCount |
Required. Number of enabled CPU cores. |
systemVersion |
Optional. Operating system version of the image. |
scanIpIds[] |
Output only. OCIDs of scan IPs. |
scanDnsRecordId |
Output only. OCID of scan DNS record. |
ociUrl |
Output only. Deep link to the OCI console to view this resource. |
dbServerOcids[] |
Optional. OCID of database servers. |
compartmentId |
Output only. Compartment ID of cluster. |
dnsListenerIp |
Output only. DNS listener IP. |
clusterName |
Optional. OCI Cluster name. |
computeModel |
Output only. The compute model of the VM Cluster. |
TimeZone
| JSON representation |
|---|
{ "id": string, "version": string } |
| Fields | |
|---|---|
id |
IANA Time Zone Database time zone. For example "America/New_York". |
version |
Optional. IANA Time Zone Database version number. For example "2019a". |
DataCollectionOptions
| JSON representation |
|---|
{ "diagnosticsEventsEnabled": boolean, "healthMonitoringEnabled": boolean, "incidentLogsEnabled": boolean } |
| Fields | |
|---|---|
diagnosticsEventsEnabled |
Optional. Indicates whether diagnostic collection is enabled for the VM cluster |
healthMonitoringEnabled |
Optional. Indicates whether health monitoring is enabled for the VM cluster |
incidentLogsEnabled |
Optional. Indicates whether incident logs and trace collection are enabled for the VM cluster |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
IdentityConnector
| JSON representation |
|---|
{
"serviceAgentEmail": string,
"connectionState": enum ( |
| Fields | |
|---|---|
serviceAgentEmail |
Output only. A google managed service account on which customers can grant roles to access resources in the customer project. Example: |
connectionState |
Output only. The connection state of the identity connector. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌